<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/build/file-systems.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='a162ff0fa4405bfa4af1299deaccea0cdaba7f88'/><input type='hidden' name='showmsg' value='1'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>zed Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>refs</a><a href='/guix/log/gnu/packages/patches/aegis-perl-tempdir1.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/aegis-perl-tempdir1.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>tree</a><a href='/guix/commit/gnu/packages/patches/aegis-perl-tempdir1.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>commit</a><a href='/guix/diff/gnu/packages/patches/aegis-perl-tempdir1.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/aegis-perl-tempdir1.patch'>
<input type='hidden' name='id' value='a8c1d812a030f07dbc22afa12f82539c3152a9e2'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>root</a>/<a href='/guix/tree/gnu?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>patches</a>/<a href='/guix/tree/gnu/packages/patches/aegis-perl-tempdir1.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>aegis-perl-tempdir1.patch</a></div><div class='content'>blob: 9068b98a77249c466ea2bf5cac2c44a4b4f159a4 (<a href='/guix/about/gnu/packages/patches/aegis-perl-tempdir1.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>about</a>) (<a href='/guix/plain/gnu/packages/patches/aegis-perl-tempdir1.patch?id=a8c1d812a030f07dbc22afa12f82539c3152a9e2'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
</pre></td>
<td class='lines'><pre><code>This patch removes the hard coded temporary directory (which might not exist on the system)
and replaces it using the Perl preferred method.
--- aegis-4.24/script/aebisect.in	2008-03-14 07:19:27.000000000 +0100
+++ aegis-4.24/script/aebisect.in	2014-01-26 11:03:31.000000000 +0100
@@ -34,7 +34,8 @@
 # @configure_input@
 #
 # Configure additions?
-my $TmpDir   = "/var/tmp";
+use File::Temp qw/ tempdir /;
+my $TmpDir   = tempdir();
 my $ProgramName = "aebisect";
 
 require 5.004;
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>