<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: python-babel: Reinstate previously failing tests. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/libgnomeui-utf8.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ht'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>refs</a><a href='/guix/log/gnu/packages/patches/aegis-test-fixup-2.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/aegis-test-fixup-2.patch?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>tree</a><a href='/guix/commit/gnu/packages/patches/aegis-test-fixup-2.patch?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>commit</a><a href='/guix/diff/gnu/packages/patches/aegis-test-fixup-2.patch?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/aegis-test-fixup-2.patch'>
<input type='hidden' name='id' value='9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>root</a>/<a href='/guix/tree/gnu?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>gnu</a>/<a href='/guix/tree/gnu/packages?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>patches</a>/<a href='/guix/tree/gnu/packages/patches/aegis-test-fixup-2.patch?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>aegis-test-fixup-2.patch</a></div><div class='content'>blob: 6ba8691ed3de550b53243dbbb709bbc91e8e981d (<a href='/guix/about/gnu/packages/patches/aegis-test-fixup-2.patch?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>about</a>) (<a href='/guix/plain/gnu/packages/patches/aegis-test-fixup-2.patch?id=9e3a5ee417ea7fe9721be8804ff047e80c4f22ed'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
</pre></td>
<td class='lines'><pre><code>This test was failing with subversion 1.7.8 because the svn repository structure
was not as the test expected.  Presumably the test relies on different version.
--- aegis-4.24/test/02/t0222a-pmil.sh	2008-03-14 07:19:27.000000000 +0100
+++ aegis-4.24/test/02/t0222a-pmil.sh	2014-01-27 19:48:30.000000000 +0100
@@ -268,7 +268,8 @@
     -c 10 &gt; log 2&gt;&amp;1
 if test $? -ne 0 ; then cat log; fail; fi
 
-test -f $work/svnroot/db/revs/2 || fail
+activity="check svn db 271"
+test -f $work/svnroot/db/revs/0/2 || test -f $work/svnroot/db/revs/2 || fail
 
 # --------------------------------------------------------------------------
 
@@ -364,7 +365,8 @@
     -c 3 &gt; log 2&gt;&amp;1
 if test $? -ne 0 ; then cat log; fail; fi
 
-test -f $work/svnroot/db/revs/3 || fail
+activity="check svn db 368"
+test -f $work/svnroot/db/revs/0/3 || test -f $work/svnroot/db/revs/3 || fail
 
 #
 # Only definite negatives are possible.
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>