<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/gtk2-fix-builder-test.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='f0e048576f6831c30c3d3eba59a10fed06131514'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=f0e048576f6831c30c3d3eba59a10fed06131514'>refs</a><a href='/guix/log/gnu/packages/patches/aegisub-icu59-include-unistr.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/aegisub-icu59-include-unistr.patch?id=f0e048576f6831c30c3d3eba59a10fed06131514'>tree</a><a href='/guix/commit/gnu/packages/patches/aegisub-icu59-include-unistr.patch?id=f0e048576f6831c30c3d3eba59a10fed06131514'>commit</a><a href='/guix/diff/gnu/packages/patches/aegisub-icu59-include-unistr.patch?id=f0e048576f6831c30c3d3eba59a10fed06131514'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/aegisub-icu59-include-unistr.patch'>
<input type='hidden' name='id' value='f0e048576f6831c30c3d3eba59a10fed06131514'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=f0e048576f6831c30c3d3eba59a10fed06131514'>root</a>/<a href='/guix/tree/gnu?id=f0e048576f6831c30c3d3eba59a10fed06131514'>gnu</a>/<a href='/guix/tree/gnu/packages?id=f0e048576f6831c30c3d3eba59a10fed06131514'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=f0e048576f6831c30c3d3eba59a10fed06131514'>patches</a>/<a href='/guix/tree/gnu/packages/patches/aegisub-icu59-include-unistr.patch?id=f0e048576f6831c30c3d3eba59a10fed06131514'>aegisub-icu59-include-unistr.patch</a></div><div class='content'>blob: 78414741be45fc1fbb93a7f3c00f08a58cee72d2 (<a href='/guix/about/gnu/packages/patches/aegisub-icu59-include-unistr.patch?id=f0e048576f6831c30c3d3eba59a10fed06131514'>about</a>) (<a href='/guix/plain/gnu/packages/patches/aegisub-icu59-include-unistr.patch?id=f0e048576f6831c30c3d3eba59a10fed06131514'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
</pre></td>
<td class='lines'><pre><code>This patch adds an include needed since icu59:
Source: https://git.archlinux.org/svntogit/community.git/plain/trunk/icu59.patch?h=packages/aegisub
--- aegisub-3.2.2/src/utils.cpp	2014-12-08 02:07:09.000000000 +0200
+++ aegisub-3.2.2/src/utils.cpp	2017-04-26 11:11:15.438239182 +0300
@@ -44,6 +44,7 @@
 #include &lt;boost/filesystem/path.hpp&gt;
 #include &lt;map&gt;
 #include &lt;unicode/locid.h&gt;
+#include &lt;unicode/unistr.h&gt;
 #include &lt;wx/clipbrd.h&gt;
 #include &lt;wx/filedlg.h&gt;
 #include &lt;wx/stdpaths.h&gt;
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>