<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/cool-retro-term-wctype.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='a14a94deb218f459dc8a3139ef6e25f15c822463'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'><tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>refs</a><a href='/guix/log/gnu/packages/patches/agda-libdirs-env-variable.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/agda-libdirs-env-variable.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>tree</a><a href='/guix/commit/gnu/packages/patches/agda-libdirs-env-variable.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>commit</a><a href='/guix/diff/gnu/packages/patches/agda-libdirs-env-variable.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/agda-libdirs-env-variable.patch'>
<input type='hidden' name='id' value='a14a94deb218f459dc8a3139ef6e25f15c822463'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>root</a>/<a href='/guix/tree/gnu?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>patches</a>/<a href='/guix/tree/gnu/packages/patches/agda-libdirs-env-variable.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>agda-libdirs-env-variable.patch</a></div><div class='content'>blob: 3b291358a6adab2694da90892f1e7fbdb8a36efd (<a href='/guix/about/gnu/packages/patches/agda-libdirs-env-variable.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>about</a>) (<a href='/guix/plain/gnu/packages/patches/agda-libdirs-env-variable.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
</pre></td>
<td class='lines'><pre><code>From 457bc7438a4f0801dbf332fa2369248bddf5da0c Mon Sep 17 00:00:00 2001
Message-Id: &lt;457bc7438a4f0801dbf332fa2369248bddf5da0c.1678309546.git.dev@jpoiret.xyz&gt;
From: Josselin Poiret &lt;dev@jpoiret.xyz&gt;
Date: Wed, 8 Mar 2023 18:31:52 +0100
Subject: [PATCH] Add environment variable for library directories

AGDA_LIBDIRS is a new environment colon-separated variable for site libraries.
Agda will look for .agda-lib files directly inside direct descendants of these.
---
 src/full/Agda/Interaction/Library.hs | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

diff --git a/src/full/Agda/Interaction/Library.hs b/src/full/Agda/Interaction/Library.hs
index 09c1f2a82..774cc3e74 100644
--- a/src/full/Agda/Interaction/Library.hs
+++ b/src/full/Agda/Interaction/Library.hs
@@ -323,13 +323,25 @@ getInstalledLibraries overrideLibFile = mkLibM [] $ do
         raiseErrors' [ LibrariesFileNotFound theOverrideLibFile ]
         return []
       Right file -&gt; do
-        if not (lfExists file) then return [] else do
+        siteLibDirs &lt;- liftIO $ fromMaybe [] . fmap splitAtColon . lookup "AGDA_LIBDIRS" &lt;$&gt; getEnvironment
+        siteLibs &lt;- liftIO $ concat &lt;$&gt; mapM findSiteLibs siteLibDirs
+        if not (lfExists file) then parseLibFiles Nothing $ nubOn snd ((0,) &lt;$&gt; siteLibs) else do
           ls    &lt;- liftIO $ stripCommentLines &lt;$&gt; UTF8.readFile (lfPath file)
           files &lt;- liftIO $ sequence [ (i, ) &lt;$&gt; expandEnvironmentVariables s | (i, s) &lt;- ls ]
-          parseLibFiles (Just file) $ nubOn snd files
+          parseLibFiles (Just file) $ nubOn snd (files ++ fmap (0,) siteLibs)
   `catchIO` \ e -&gt; do
     raiseErrors' [ ReadError e "Failed to read installed libraries." ]
     return []
+  where splitAtColon :: String -&gt; [String]
+        splitAtColon "" = []
+        splitAtColon str = case break (==':') str of
+          (a, _:b) -&gt; a : splitAtColon b
+          (a, "")    -&gt; [a]
+        findSiteLibs :: String -&gt; IO [String]
+        findSiteLibs dir = do
+          subDirs &lt;- filterM doesDirectoryExist =&lt;&lt; map (dir &lt;/&gt;) &lt;$&gt; listDirectory dir
+          subFiles &lt;- mapM (\dir -&gt; map (dir &lt;/&gt;) &lt;$&gt; listDirectory dir) subDirs
+          return $ concatMap (filter (List.isSuffixOf ".agda-lib")) subFiles
 
 -- | Parse the given library files.
 --

base-commit: 183534bc41af5a53daf685122997dc98883f2be2
-- 
2.39.1

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>