<!DOCTYPE html>
<html lang='en'>
<head>
<title>smtps-and-pop3s-console-program - C++ program to send and receive email, under Losedows</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/smtps-and-pop3s-console-program/atom/openssl-1.1.0h/crypto/x509v3/v3_akeya.c?h=master' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/smtps-and-pop3s-console-program/'>smtps-and-pop3s-console-program</a></td><td class='form'><form method='get'>
<select name='h' onchange='this.form.submit();'>
<option value='master' selected='selected'>master</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>C++ program to send and receive email, under Losedows</td><td class='sub right'>='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>refs</a><a href='/guix/log/gnu/packages/patches/aoflagger-use-system-provided-pybind11.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/aoflagger-use-system-provided-pybind11.patch?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>tree</a><a href='/guix/commit/gnu/packages/patches/aoflagger-use-system-provided-pybind11.patch?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>commit</a><a href='/guix/diff/gnu/packages/patches/aoflagger-use-system-provided-pybind11.patch?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/aoflagger-use-system-provided-pybind11.patch'>
<input type='hidden' name='id' value='a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>root</a>/<a href='/guix/tree/gnu?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>patches</a>/<a href='/guix/tree/gnu/packages/patches/aoflagger-use-system-provided-pybind11.patch?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>aoflagger-use-system-provided-pybind11.patch</a></div><div class='content'>blob: 76bc52a4bae595434caf0447cea4fd2989e94436 (<a href='/guix/about/gnu/packages/patches/aoflagger-use-system-provided-pybind11.patch?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>about</a>) (<a href='/guix/plain/gnu/packages/patches/aoflagger-use-system-provided-pybind11.patch?id=a2cfd9f8c9bc85aabf1638bdcfb685384199b7a4'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
</pre></td>
<td class='lines'><pre><code>This patch was borrowed from Debian's package:
https://salsa.debian.org/debian-astro-team/aoflagger/-/blob/0484ef75a663e3e07738550cdade46f433a53dac/debian/patches/Use-system-provided-pybind11.patch
Description: Use system provided pybind11
Author: Ole Streicher &lt;olebole@debian.org&gt;
Origin: Debian
Last-Update: Mon, 30 Aug 2021 11:05:37 +0200
---
 CMakeLists.txt | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 655ea5e..824ee2a 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -62,11 +62,6 @@ foreach(ExternalSubmodule IN LISTS ExternalSubmoduleDirectories)
   endif()
 endforeach()
 
-# Include aocommon/pybind11 headers
-include_directories("${CMAKE_SOURCE_DIR}/external/aocommon/include")
-add_subdirectory("${CMAKE_SOURCE_DIR}/external/pybind11")
-include_directories(SYSTEM ${pybind11_INCLUDE_DIR})
-
 find_package(
   HDF5
   COMPONENTS C CXX
@@ -101,6 +96,11 @@ find_package(PythonInterp REQUIRED)
 message(STATUS "Using python version ${PYTHON_VERSION_STRING}")
 include_directories(SYSTEM ${PYTHON_INCLUDE_DIRS})
 
+# Include pybind11 headers
+find_package(pybind11 REQUIRED)
+include_directories("${CMAKE_SOURCE_DIR}/external/aocommon/include")
+include_directories(${pybind11_INCLUDE_DIR})
+
 # boost::alignment requires Boost 1.56
 find_package(Boost 1.56.0 REQUIRED COMPONENTS date_time filesystem system
                                               unit_test_framework)
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>