s customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/avahi-localstatedir.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='28469ab0eca35dee5b7068074986c576ebc4fd81'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>refs</a><a href='/guix/log/gnu/packages/patches/avahi-localstatedir.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/avahi-localstatedir.patch?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>tree</a><a href='/guix/commit/gnu/packages/patches/avahi-localstatedir.patch?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>commit</a><a href='/guix/diff/gnu/packages/patches/avahi-localstatedir.patch?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/avahi-localstatedir.patch'>
<input type='hidden' name='id' value='28469ab0eca35dee5b7068074986c576ebc4fd81'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>root</a>/<a href='/guix/tree/gnu?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>gnu</a>/<a href='/guix/tree/gnu/packages?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>patches</a>/<a href='/guix/tree/gnu/packages/patches/avahi-localstatedir.patch?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>avahi-localstatedir.patch</a></div><div class='content'>blob: 76377d105707ff8f85f87104cc6ba8acb073c80d (<a href='/guix/about/gnu/packages/patches/avahi-localstatedir.patch?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>about</a>) (<a href='/guix/plain/gnu/packages/patches/avahi-localstatedir.patch?id=28469ab0eca35dee5b7068074986c576ebc4fd81'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
</pre></td>
<td class='lines'><pre><code>Don't "mkdir $(localstatedir)" since we can't do it (/var).

--- avahi-0.6.27/avahi-daemon/Makefile.in	2010-07-13 05:06:35.000000000 +0200
+++ avahi-0.6.27/avahi-daemon/Makefile.in	2010-07-13 18:03:45.000000000 +0200
@@ -1554,7 +1554,6 @@ xmllint:
 	done
 
 install-data-local:
-	test -z "$(localstatedir)/run" || $(mkdir_p) "$(DESTDIR)$(localstatedir)/run"
 
 update-systemd:
 	curl http://cgit.freedesktop.org/systemd/plain/src/sd-daemon.c &gt; sd-daemon.c
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>