<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/services?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='0f9fe721be2bd36e52b520782b585ca49aa1447d'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ion>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>refs</a><a href='/guix/log/gnu/packages/patches/awesome-reproducible-png.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/awesome-reproducible-png.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>tree</a><a href='/guix/commit/gnu/packages/patches/awesome-reproducible-png.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>commit</a><a href='/guix/diff/gnu/packages/patches/awesome-reproducible-png.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/awesome-reproducible-png.patch'>
<input type='hidden' name='id' value='9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>root</a>/<a href='/guix/tree/gnu?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>gnu</a>/<a href='/guix/tree/gnu/packages?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>patches</a>/<a href='/guix/tree/gnu/packages/patches/awesome-reproducible-png.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>awesome-reproducible-png.patch</a></div><div class='content'>blob: d8e92c70f921780c1e6c3b6acf90c8849eeba68c (<a href='/guix/about/gnu/packages/patches/awesome-reproducible-png.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>about</a>) (<a href='/guix/plain/gnu/packages/patches/awesome-reproducible-png.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
</pre></td>
<td class='lines'><pre><code>Do not introduce timestamps in PNG files (for icons).
See &lt;https://wiki.debian.org/ReproducibleBuilds/TimestampsInPNG&gt;.

--- awesome-3.4.15/CMakeLists.txt	2013-02-11 14:50:21.000000000 +0100
+++ awesome-3.4.15/CMakeLists.txt	2016-06-16 13:59:30.528125439 +0200
@@ -295,7 +295,7 @@ macro(a_icon_convert match replacement i
         set(ALL_ICONS ${ALL_ICONS} ${output})
 
         add_custom_command(
-            COMMAND ${CONVERT_EXECUTABLE} ${input} -strip ${ARGN} ${output}
+            COMMAND ${CONVERT_EXECUTABLE} +set date:create +set date:modify -define png:exclude-chunk=time ${input} -strip ${ARGN} ${output}
             OUTPUT  ${output}
             DEPENDS ${input}
             VERBATIM)
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>