<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/libtgvoip-disable-webrtc.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='6b792019561d378c92d903d0dc53c3e9719f0fbd'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'> class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>refs</a><a href='/guix/log/gnu/packages/patches/bsd-games-bad-ntohl-cast.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/bsd-games-bad-ntohl-cast.patch?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>tree</a><a href='/guix/commit/gnu/packages/patches/bsd-games-bad-ntohl-cast.patch?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>commit</a><a href='/guix/diff/gnu/packages/patches/bsd-games-bad-ntohl-cast.patch?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/bsd-games-bad-ntohl-cast.patch'>
<input type='hidden' name='id' value='6b792019561d378c92d903d0dc53c3e9719f0fbd'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>root</a>/<a href='/guix/tree/gnu?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>gnu</a>/<a href='/guix/tree/gnu/packages?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>patches</a>/<a href='/guix/tree/gnu/packages/patches/bsd-games-bad-ntohl-cast.patch?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>bsd-games-bad-ntohl-cast.patch</a></div><div class='content'>blob: caadfa50545bf8ab1067796bf186c910225fecca (<a href='/guix/about/gnu/packages/patches/bsd-games-bad-ntohl-cast.patch?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>about</a>) (<a href='/guix/plain/gnu/packages/patches/bsd-games-bad-ntohl-cast.patch?id=6b792019561d378c92d903d0dc53c3e9719f0fbd'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
</pre></td>
<td class='lines'><pre><code>diff --git a/hunt/hunt/playit.c b/hunt/hunt/playit.c
index 9acf86e..881a4e7 100644
--- a/hunt/hunt/playit.c
+++ b/hunt/hunt/playit.c
@@ -114,7 +114,7 @@ playit()
		bad_con();
		/* NOTREACHED */
	}
-	if (ntohl(version) != (unsigned long)HUNT_VERSION) {
+	if (ntohl(version) != (uint32_t)HUNT_VERSION) {
		bad_ver();
		/* NOTREACHED */
	}
@@ -649,7 +649,7 @@ do_message()
		bad_con();
		/* NOTREACHED */
	}
-	if (ntohl(version) != (unsigned long)HUNT_VERSION) {
+	if (ntohl(version) != (uint32_t)HUNT_VERSION) {
		bad_ver();
		/* NOTREACHED */
	}
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>