<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/docker-fix-tests.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='0add9c52637659eb5e09797f2c9e9be7bf7e9989'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>s='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>refs</a><a href='/guix/log/gnu/packages/patches/clucene-pkgconfig.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/clucene-pkgconfig.patch?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>tree</a><a href='/guix/commit/gnu/packages/patches/clucene-pkgconfig.patch?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>commit</a><a href='/guix/diff/gnu/packages/patches/clucene-pkgconfig.patch?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/clucene-pkgconfig.patch'>
<input type='hidden' name='id' value='0add9c52637659eb5e09797f2c9e9be7bf7e9989'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>root</a>/<a href='/guix/tree/gnu?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>gnu</a>/<a href='/guix/tree/gnu/packages?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>patches</a>/<a href='/guix/tree/gnu/packages/patches/clucene-pkgconfig.patch?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>clucene-pkgconfig.patch</a></div><div class='content'>blob: 5e4825cd3f77c559037539f2b5046d48dd1d0fd1 (<a href='/guix/about/gnu/packages/patches/clucene-pkgconfig.patch?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>about</a>) (<a href='/guix/plain/gnu/packages/patches/clucene-pkgconfig.patch?id=0add9c52637659eb5e09797f2c9e9be7bf7e9989'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
</pre></td>
<td class='lines'><pre><code>Taken from the Debian package.

From 7be4a19b76d98260cf95040a47935f854a4ba7a4 Mon Sep 17 00:00:00 2001
From: Valentin Rusu &lt;kde@rusu.info&gt;
Date: Sat, 17 Dec 2011 13:47:58 +0100
Subject: [PATCH] Fix .pc file by adding clucene-shared library

---
 src/core/libclucene-core.pc.cmake |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- a/src/core/libclucene-core.pc.cmake
+++ b/src/core/libclucene-core.pc.cmake
@@ -6,6 +6,6 @@ includedir=${prefix}/include:${prefix}/i
 Name: libclucene
 Description: CLucene - a C++ search engine, ported from the popular Apache Lucene
 Version: @CLUCENE_VERSION_MAJOR@.@CLUCENE_VERSION_MINOR@.@CLUCENE_VERSION_REVISION@.@CLUCENE_VERSION_PATCH@
-Libs: -L${prefix}/@LIB_DESTINATION@/ -lclucene-core
+Libs: -L${prefix}/@LIB_DESTINATION@/ -lclucene-core -lclucene-shared
 Cflags: -I${prefix}/include -I${prefix}/include/CLucene/ext
 ~
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>