<!DOCTYPE html>
<html lang='en'>
<head>
<title>po - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/po?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='353d6cbec186bd626a1127dd2ac3c3b6b410bfb8'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>refs</a><a href='/guix/log/gnu/packages/patches/cpufrequtils-fix-aclocal.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/cpufrequtils-fix-aclocal.patch?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>tree</a><a href='/guix/commit/gnu/packages/patches/cpufrequtils-fix-aclocal.patch?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>commit</a><a href='/guix/diff/gnu/packages/patches/cpufrequtils-fix-aclocal.patch?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/cpufrequtils-fix-aclocal.patch'>
<input type='hidden' name='id' value='eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>root</a>/<a href='/guix/tree/gnu?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>gnu</a>/<a href='/guix/tree/gnu/packages?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>patches</a>/<a href='/guix/tree/gnu/packages/patches/cpufrequtils-fix-aclocal.patch?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>cpufrequtils-fix-aclocal.patch</a></div><div class='content'>blob: be5767f462d927ed931248d0a64ed4ae36d0ee19 (<a href='/guix/about/gnu/packages/patches/cpufrequtils-fix-aclocal.patch?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>about</a>) (<a href='/guix/plain/gnu/packages/patches/cpufrequtils-fix-aclocal.patch?id=eb0c2dd62f8066354f85c62f4f958dd8d2a7f6ef'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
</pre></td>
<td class='lines'><pre><code>Add an extra layer of quoting to ltmain.sh sanity check.

--- a/configure	2005-05-07 14:19:31.000000000 +0200
+++ b/configure	2015-02-10 11:16:32.456146934 +0100
@@ -6266,7 +6266,7 @@
   exit 1
 fi
 gentoo_lt_version="1.5.16"
-gentoo_ltmain_version=`grep '^[:space:]*VERSION=' $ltmain | sed -e 's|^[:space:]*VERSION=||'`
+gentoo_ltmain_version=`grep '^[[:space:]]*VERSION=' $ltmain | sed -e 's|^[[:space:]]*VERSION=||'`
 if test "$gentoo_lt_version" != "$gentoo_ltmain_version"; then
   echo "$as_me:$LINENO: result: no" &gt;&amp;5
 echo "${ECHO_T}no" &gt;&amp;6
--- a/aclocal.m4	2005-05-07 14:19:25.000000000 +0200
+++ b/aclocal.m4	2015-02-10 11:16:15.352030318 +0100
@@ -246,7 +246,7 @@
   exit 1
 fi
 gentoo_lt_version="1.5.16"
-gentoo_ltmain_version=`grep '^[[:space:]]*VERSION=' $ltmain | sed -e 's|^[[:space:]]*VERSION=||'`
+gentoo_ltmain_version=`[grep '^[[:space:]]*VERSION=' $ltmain | sed -e 's|^[[:space:]]*VERSION=||']`
 if test "$gentoo_lt_version" != "$gentoo_ltmain_version"; then
   AC_MSG_RESULT(no)
   echo
--- a/libcpufreq/configure	2005-05-07 14:19:31.000000000 +0200
+++ b/libcpufreq/configure	2015-02-10 11:16:32.456146934 +0100
@@ -6266,7 +6266,7 @@
   exit 1
 fi
 gentoo_lt_version="1.5.16"
-gentoo_ltmain_version=`grep '^[:space:]*VERSION=' $ltmain | sed -e 's|^[:space:]*VERSION=||'`
+gentoo_ltmain_version=`grep '^[[:space:]]*VERSION=' $ltmain | sed -e 's|^[[:space:]]*VERSION=||'`
 if test "$gentoo_lt_version" != "$gentoo_ltmain_version"; then
   echo "$as_me:$LINENO: result: no" &gt;&amp;5
 echo "${ECHO_T}no" &gt;&amp;6
--- a/libcpufreq/aclocal.m4	2005-05-07 14:19:25.000000000 +0200
+++ b/libcpufreq/aclocal.m4	2015-02-10 11:16:15.352030318 +0100
@@ -246,7 +246,7 @@
   exit 1
 fi
 gentoo_lt_version="1.5.16"
-gentoo_ltmain_version=`grep '^[[:space:]]*VERSION=' $ltmain | sed -e 's|^[[:space:]]*VERSION=||'`
+gentoo_ltmain_version=`[grep '^[[:space:]]*VERSION=' $ltmain | sed -e 's|^[[:space:]]*VERSION=||']`
 if test "$gentoo_lt_version" != "$gentoo_ltmain_version"; then
   AC_MSG_RESULT(no)
   echo
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>