<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/doc++-segfault-fix.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='a1537ac2bae1d7eae39188317daf1186a673e6a2'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ss='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>refs</a><a href='/guix/log/gnu/packages/patches/crawl-upgrade-saves.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/crawl-upgrade-saves.patch?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>tree</a><a href='/guix/commit/gnu/packages/patches/crawl-upgrade-saves.patch?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>commit</a><a href='/guix/diff/gnu/packages/patches/crawl-upgrade-saves.patch?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/crawl-upgrade-saves.patch'>
<input type='hidden' name='id' value='d1d27a67bbb9d8e790cc411067daba7a737fe8fe'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>root</a>/<a href='/guix/tree/gnu?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>gnu</a>/<a href='/guix/tree/gnu/packages?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>patches</a>/<a href='/guix/tree/gnu/packages/patches/crawl-upgrade-saves.patch?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>crawl-upgrade-saves.patch</a></div><div class='content'>blob: 301942dc3032590f40d16ac19605dbeff7929af6 (<a href='/guix/about/gnu/packages/patches/crawl-upgrade-saves.patch?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>about</a>) (<a href='/guix/plain/gnu/packages/patches/crawl-upgrade-saves.patch?id=d1d27a67bbb9d8e790cc411067daba7a737fe8fe'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
</pre></td>
<td class='lines'><pre><code>Store the crawl version in the textdatabases in SAVEDIR and
upgrade the databases when the crawl version changes.

By default crawl checks for a mtime difference on files in DATADIR to see if an
upgrade is required, but guix nulls all file dates,
and crawl would never upgrade saves.

--- a/source/database.cc	2016-05-31 09:56:08.000000000 +0200
+++ a/source/database.cc	2017-06-05 03:00:19.270632107 +0200
@@ -25,6 +25,7 @@
 #include "syscalls.h"
 #include "threads.h"
 #include "unicode.h"
+#include "version.h"
 
 // TextDB handles dependency checking the db vs text files, creating the
 // db, loading, and destroying the DB.
@@ -55,6 +56,7 @@
     vector&lt;string&gt; _input_files;
     DBM* _db;
     string timestamp;
+    string version;
     TextDB *_parent;
     const char* lang() { return _parent ? Options.lang_name : 0; }
 public:
@@ -165,7 +167,7 @@
 
 TextDB::TextDB(const char* db_name, const char* dir, ...)
     : _db_name(db_name), _directory(dir),
-      _db(nullptr), timestamp(""), _parent(0), translation(0)
+      _db(nullptr), timestamp(""), version(""),  _parent(0), translation(0)
 {
     va_list args;
     va_start(args, dir);
@@ -187,7 +189,7 @@
     : _db_name(parent-&gt;_db_name),
       _directory(parent-&gt;_directory + Options.lang_name + "/"),
       _input_files(parent-&gt;_input_files), // FIXME: pointless copy
-      _db(nullptr), timestamp(""), _parent(parent), translation(nullptr)
+      _db(nullptr), timestamp(""), version(""), _parent(parent), translation(nullptr)
 {
 }
 
@@ -202,6 +204,9 @@
         return false;
 
     timestamp = _query_database(*this, "TIMESTAMP", false, false, true);
+    version = _query_database(*this, "VERSION", false, false, true);
+    if (version.empty())
+        return false;
     if (timestamp.empty())
         return false;
 
@@ -245,6 +250,9 @@
     string ts;
     bool no_files = true;
 
+    if (string(Version::Long) != version)
+        return true;
+
     for (const string &amp;file : _input_files)
     {
         string full_input_path = _directory + file;
@@ -261,7 +269,7 @@
         ts += buf;
     }
 
-    if (no_files &amp;&amp; timestamp.empty())
+    if (no_files &amp;&amp; timestamp.empty() &amp;&amp; version.empty())
     {
         // No point in empty databases, although for simplicity keep ones
         // for disappeared translations for now.
@@ -321,7 +329,10 @@
             _store_text_db(full_input_path, _db);
         }
     }
+
+    string current_version = string(Version::Long);
     _add_entry(_db, "TIMESTAMP", ts);
+    _add_entry(_db, "VERSION", current_version);
 
     dbm_close(_db);
     _db = 0;
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>