Last-Modified: Fri, 04 Oct 2024 20:52:43 GMT
Expires: Mon, 02 Oct 2034 20:52:43 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/t1lib-CVE-2011-1552+.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='6cb1f6b6017164e40b0ae16ff6c1df6f59fb0e38'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>b'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>refs</a><a href='/guix/log/gnu/packages/patches/cvs-CVE-2017-12836.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/cvs-CVE-2017-12836.patch?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>tree</a><a href='/guix/commit/gnu/packages/patches/cvs-CVE-2017-12836.patch?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>commit</a><a href='/guix/diff/gnu/packages/patches/cvs-CVE-2017-12836.patch?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/cvs-CVE-2017-12836.patch'>
<input type='hidden' name='id' value='fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>root</a>/<a href='/guix/tree/gnu?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>gnu</a>/<a href='/guix/tree/gnu/packages?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>patches</a>/<a href='/guix/tree/gnu/packages/patches/cvs-CVE-2017-12836.patch?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>cvs-CVE-2017-12836.patch</a></div><div class='content'>blob: 507ab0f7d08b8083da0653e5fccee86c6408abdb (<a href='/guix/about/gnu/packages/patches/cvs-CVE-2017-12836.patch?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>about</a>) (<a href='/guix/plain/gnu/packages/patches/cvs-CVE-2017-12836.patch?id=fdfea4c4ed0d31494fcb3633c26290f4eba9d2af'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
</pre></td>
<td class='lines'><pre><code>Fix CVE-2017-12836:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=2017-12836
https://security-tracker.debian.org/tracker/CVE-2017-12836

Patch adpated from Debian (comments and changelog annotations removed):

https://anonscm.debian.org/cgit/collab-maint/cvs.git/commit/?h=stretch&amp;id=41e077396e35efb6c879951f44c62dd8a1d0f094

From 41e077396e35efb6c879951f44c62dd8a1d0f094 Mon Sep 17 00:00:00 2001
From: mirabilos &lt;m@mirbsd.org&gt;
Date: Sat, 12 Aug 2017 03:17:18 +0200
Subject: Fix CVE-2017-12836 (Closes: #871810) for stretch

---
 debian/changelog |  6 ++++++
 src/rsh-client.c | 10 ++++++++--
 2 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/src/rsh-client.c b/src/rsh-client.c
index fe0cfc4..1fc860d 100644
--- a/src/rsh-client.c
+++ b/src/rsh-client.c
@@ -105,6 +106,9 @@ start_rsh_server (cvsroot_t *root, struct buffer **to_server_p,
 	rsh_argv[i++] = argvport;
     }
 
+    /* Only non-option arguments from here. (CVE-2017-12836) */
+    rsh_argv[i++] = "--";
+
     rsh_argv[i++] = root-&gt;hostname;
     rsh_argv[i++] = cvs_server;
     if (readonlyfs)
@@ -189,6 +193,8 @@ start_rsh_server (cvsroot_t *root, struct buffer **to_server_p,
 		*p++ = argvport;
 	}
 
+	*p++ = "--";
+
 	*p++ = root-&gt;hostname;
 	*p++ = command;
 	*p++ = NULL;
-- 
cgit v0.12

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>