<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/dbus-c++-gcc-compat.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='a14a94deb218f459dc8a3139ef6e25f15c822463'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>refs</a><a href='/guix/log/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>tree</a><a href='/guix/commit/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>commit</a><a href='/guix/diff/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch'>
<input type='hidden' name='id' value='a14a94deb218f459dc8a3139ef6e25f15c822463'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>root</a>/<a href='/guix/tree/gnu?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>gnu</a>/<a href='/guix/tree/gnu/packages?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>patches</a>/<a href='/guix/tree/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>cyrus-sasl-ac-try-run-fix.patch</a></div><div class='content'>blob: 8662e812e995639f79948fcda6fd7a2aae38badf (<a href='/guix/about/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>about</a>) (<a href='/guix/plain/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch?id=a14a94deb218f459dc8a3139ef6e25f15c822463'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
</pre></td>
<td class='lines'><pre><code>--- a/m4/sasl2.m4	2018-11-18 22:33:29.902625600 +0300
+++ b/m4/sasl2.m4	2018-11-18 22:33:59.828746176 +0300
@@ -339,7 +339,8 @@
 ],	
 	[ AC_DEFINE(HAVE_GSS_SPNEGO,,[Define if your GSSAPI implementation supports SPNEGO])
 	AC_MSG_RESULT(yes) ],
-	AC_MSG_RESULT(no))
+	AC_MSG_RESULT(no),
+    AC_MSG_RESULT(no))
   LIBS="$cmu_save_LIBS"
 
 else
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>