<!DOCTYPE html>
<html lang='en'>
<head>
<title>onnx-1.13.1-use-system-googletest.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/onnx-1.13.1-use-system-googletest.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>refs</a><a href='/guix/log/gnu/packages/patches/debops-debops-defaults-fall-back-to-less.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/debops-debops-defaults-fall-back-to-less.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>tree</a><a href='/guix/commit/gnu/packages/patches/debops-debops-defaults-fall-back-to-less.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>commit</a><a href='/guix/diff/gnu/packages/patches/debops-debops-defaults-fall-back-to-less.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/debops-debops-defaults-fall-back-to-less.patch'>
<input type='hidden' name='id' value='9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>root</a>/<a href='/guix/tree/gnu?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>gnu</a>/<a href='/guix/tree/gnu/packages?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>patches</a>/<a href='/guix/tree/gnu/packages/patches/debops-debops-defaults-fall-back-to-less.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>debops-debops-defaults-fall-back-to-less.patch</a></div><div class='content'>blob: bbb6b7c08ecfd2182182bcb7ccf6d090b4f11fd3 (<a href='/guix/about/gnu/packages/patches/debops-debops-defaults-fall-back-to-less.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>about</a>) (<a href='/guix/plain/gnu/packages/patches/debops-debops-defaults-fall-back-to-less.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
</pre></td>
<td class='lines'><pre><code>From 5059daf8bd59a83f520c14731173ea76ce8b8661 Mon Sep 17 00:00:00 2001
From: Hartmut Goebel &lt;h.goebel@crazy-compilers.com&gt;
Date: Sun, 8 Sep 2019 13:09:15 +0200
Subject: [PATCH] [debops-defaults] If `view` is not available, try less, etc.

---
 bin/debops-defaults | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

diff --git a/bin/debops-defaults b/bin/debops-defaults
index 9dd87fe0a..3e3db4c41 100755
--- a/bin/debops-defaults
+++ b/bin/debops-defaults
@@ -96,13 +96,22 @@ def main(role_list):
     config = read_config(project_root)
     playbooks_path = find_playbookpath(config, project_root, required=True)
 
-    # Make sure required commands are present
-    require_commands('view')
-
-    if sys.stdout.isatty():
+    # Check if one of the output commands is present
+    sys.stdout = io.BytesIO()  # suppress error message, if any
+    for cmd_args in (('view', '+set ft=yaml', '-'),
+                     ('less', '-'),
+                     ('more', '-')):
+        try:
+            require_commands(cmd_args[0])
+            break
+        except SystemExit:
+            # this command was not found
+            cmd_args = None
+    sys.stdout = sys.__stdout__
+
+    if cmd_args and sys.stdout.isatty():
         # if script is run as standalone, redirect to view
-        view = subprocess.Popen(['view', '+set ft=yaml', '-'],
-                                stdin=subprocess.PIPE)
+        view = subprocess.Popen(cmd_args, stdin=subprocess.PIPE)
         try:
             aggregate_defaults(playbooks_path, role_list, view.stdin)
         except IOError as e:
-- 
2.21.0

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>