<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: guile-next: Update to 3.0.1. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='1a30351bf37930222f077cdbcbb6659372f1ea2d'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>t type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>refs</a><a href='/guix/log/gnu/packages/patches/doc++-include-directives.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/doc++-include-directives.patch?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>tree</a><a href='/guix/commit/gnu/packages/patches/doc++-include-directives.patch?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>commit</a><a href='/guix/diff/gnu/packages/patches/doc++-include-directives.patch?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/doc++-include-directives.patch'>
<input type='hidden' name='id' value='30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>root</a>/<a href='/guix/tree/gnu?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>gnu</a>/<a href='/guix/tree/gnu/packages?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>patches</a>/<a href='/guix/tree/gnu/packages/patches/doc++-include-directives.patch?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>doc++-include-directives.patch</a></div><div class='content'>blob: a59a907c3b63b97bc40c2292053db4245c248091 (<a href='/guix/about/gnu/packages/patches/doc++-include-directives.patch?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>about</a>) (<a href='/guix/plain/gnu/packages/patches/doc++-include-directives.patch?id=30e06c2cee92fa9a9b9e86bb8bf9c3e8d458ef9b'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
<a id='n197' href='#n197'>197</a>
<a id='n198' href='#n198'>198</a>
<a id='n199' href='#n199'>199</a>
<a id='n200' href='#n200'>200</a>
<a id='n201' href='#n201'>201</a>
<a id='n202' href='#n202'>202</a>
<a id='n203' href='#n203'>203</a>
<a id='n204' href='#n204'>204</a>
<a id='n205' href='#n205'>205</a>
<a id='n206' href='#n206'>206</a>
<a id='n207' href='#n207'>207</a>
<a id='n208' href='#n208'>208</a>
<a id='n209' href='#n209'>209</a>
<a id='n210' href='#n210'>210</a>
<a id='n211' href='#n211'>211</a>
<a id='n212' href='#n212'>212</a>
<a id='n213' href='#n213'>213</a>
<a id='n214' href='#n214'>214</a>
<a id='n215' href='#n215'>215</a>
<a id='n216' href='#n216'>216</a>
<a id='n217' href='#n217'>217</a>
<a id='n218' href='#n218'>218</a>
<a id='n219' href='#n219'>219</a>
<a id='n220' href='#n220'>220</a>
<a id='n221' href='#n221'>221</a>
<a id='n222' href='#n222'>222</a>
<a id='n223' href='#n223'>223</a>
<a id='n224' href='#n224'>224</a>
</pre></td>
<td class='lines'><pre><code>Adapted from https://sourceforge.net/p/docpp/patches/1/

--- doc++-3.4.10/src/comment.ll	2000-06-24 18:50:23.000000000 +0200
+++ doc++-3.4.10/src/comment.ll	2012-09-17 11:14:50.744922841 +0200
@@ -24,7 +24,7 @@
 
 #include &lt;assert.h&gt;
 #include &lt;ctype.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;iostream&gt;
 #include &lt;stdarg.h&gt;
 #include &lt;stdio.h&gt;
 
--- doc++-3.4.10/src/cpp.ll	2002-05-09 08:11:14.000000000 +0200
+++ doc++-3.4.10/src/cpp.ll	2012-09-17 11:15:21.184333236 +0200
@@ -26,7 +26,7 @@
 
 #include &lt;assert.h&gt;
 #include &lt;ctype.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;iostream&gt;
 #include &lt;stdarg.h&gt;
 #include &lt;stdio.h&gt;
 
--- doc++-3.4.10/src/datahashtable.h	2000-08-27 21:44:34.000000000 +0200
+++ doc++-3.4.10/src/datahashtable.h	2012-09-17 11:22:59.442589960 +0200
@@ -26,11 +26,13 @@
 #define _DATAHASHTABLE_H
 
 #include &lt;assert.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;iostream&gt;
 #include &lt;stdlib.h&gt;
 
 #include "McDArray.h"
 
+using namespace std;
+
 /* This should be a private subclass of #DataHashTable#. However, since cfront
    is not able to compile this constrution, we had move the class to global
    scope.
--- doc++-3.4.10/src/doc2dbsgml.ll	2002-05-09 08:11:14.000000000 +0200
+++ doc++-3.4.10/src/doc2dbsgml.ll	2012-09-17 11:20:49.077259414 +0200
@@ -22,8 +22,8 @@
 
 %{
 #include &lt;assert.h&gt;
-#include &lt;fstream.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;fstream&gt;
+#include &lt;iostream&gt;
 #include &lt;stdio.h&gt;
 #include &lt;stdlib.h&gt;
 #include &lt;string.h&gt;
@@ -36,6 +36,8 @@
 #undef	YY_INPUT
 #define	YY_INPUT(buf, result, max_size) result = yyread(buf, max_size);
 
+using namespace std;
+
 static Entry*	current;
 static int	inPos;
 static int	lastContext;
--- doc++-3.4.10/src/doc2dbxml.ll	2002-05-09 08:11:14.000000000 +0200
+++ doc++-3.4.10/src/doc2dbxml.ll	2012-09-17 11:20:22.264831159 +0200
@@ -25,8 +25,8 @@
 
 %{
 #include &lt;assert.h&gt;
-#include &lt;fstream.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;fstream&gt;
+#include &lt;iostream&gt;
 #include &lt;stdio.h&gt;
 #include &lt;stdlib.h&gt;
 #include &lt;string.h&gt;
@@ -39,6 +39,8 @@
 #undef	YY_INPUT
 #define	YY_INPUT(buf, result, max_size) result = yyread(buf, max_size);
 
+using namespace std;
+
 static Entry*	current;
 static int	inPos;
 static int	lastContext;
--- doc++-3.4.10/src/doc2html.ll	2000-07-17 23:17:24.000000000 +0200
+++ doc++-3.4.10/src/doc2html.ll	2012-09-17 11:22:40.354469631 +0200
@@ -29,6 +29,8 @@
 #include "doc.h"
 #include "nametable.h"
 
+using namespace std;
+
 extern NameTable	gifs;
 
 #define YY_DECL int yylex()
--- doc++-3.4.10/src/doc2tex.ll	2000-11-05 17:21:16.000000000 +0100
+++ doc++-3.4.10/src/doc2tex.ll	2012-09-17 11:23:22.210701715 +0200
@@ -23,8 +23,8 @@
 
 %{
 #include &lt;assert.h&gt;
-#include &lt;fstream.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;fstream&gt;
+#include &lt;iostream&gt;
 #include &lt;stdio.h&gt;
 #include &lt;stdlib.h&gt;
 #include &lt;string.h&gt;
@@ -38,6 +38,8 @@
 #undef	YY_INPUT
 #define	YY_INPUT(buf, result, max_size) result = yyread(buf, max_size);
 
+using namespace std;
+
 static Entry*	current;
 static int	inPos;
 static int	lastContext;
--- doc++-3.4.10/src/doc.ll	2000-09-17 21:41:17.000000000 +0200
+++ doc++-3.4.10/src/doc.ll	2012-09-17 11:15:37.068009454 +0200
@@ -23,8 +23,8 @@
 
 %{
 #include &lt;assert.h&gt;
-#include &lt;fstream.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;fstream&gt;
+#include &lt;iostream&gt;
 #include &lt;stdio.h&gt;
 #include &lt;stdlib.h&gt;
 #include &lt;string.h&gt;
--- doc++-3.4.10/src/equate.cc	2002-05-02 21:13:10.000000000 +0200
+++ doc++-3.4.10/src/equate.cc	2012-09-17 11:25:42.850669366 +0200
@@ -23,9 +23,9 @@
 
 #include "config.h"
 
-#include &lt;fstream.h&gt;
+#include &lt;fstream&gt;
 #include &lt;getopt.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;iostream&gt;
 #include &lt;stdio.h&gt;
 #include &lt;string.h&gt;
 
--- doc++-3.4.10/src/html.cc	2001-02-17 07:34:49.000000000 +0100
+++ doc++-3.4.10/src/html.cc	2012-09-17 11:24:07.978824681 +0200
@@ -31,7 +31,7 @@
 #include &lt;direct.h&gt;
 #endif
 #include &lt;errno.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;iostream&gt;
 #include &lt;stdio.h&gt;
 #include &lt;stdlib.h&gt;
 #include &lt;string.h&gt;
--- doc++-3.4.10/src/java.ll	2001-11-25 18:04:12.000000000 +0100
+++ doc++-3.4.10/src/java.ll	2012-09-17 11:24:19.138834603 +0200
@@ -26,7 +26,7 @@
 
 #include &lt;assert.h&gt;
 #include &lt;ctype.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;iostream&gt;
 #include &lt;stdio.h&gt;
 
 #include "doc.h"
--- doc++-3.4.10/src/main.cc	2002-05-09 08:11:14.000000000 +0200
+++ doc++-3.4.10/src/main.cc	2012-09-17 11:25:30.650719070 +0200
@@ -25,7 +25,7 @@
 #include "config.h"
 
 #include &lt;assert.h&gt;
-#include &lt;fstream.h&gt;
+#include &lt;fstream&gt;
 #include &lt;getopt.h&gt;
 #include &lt;locale.h&gt;
 #include &lt;stdio.h&gt;
--- doc++-3.4.10/src/nametable.cc	2000-04-08 23:11:54.000000000 +0200
+++ doc++-3.4.10/src/nametable.cc	2012-09-17 11:25:58.894591128 +0200
@@ -22,7 +22,7 @@
 */
 
 #include &lt;assert.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;iostream&gt;
 #include &lt;stdlib.h&gt;
 #include &lt;string.h&gt;
 
--- doc++-3.4.10/src/nametable.h	2000-04-08 23:11:56.000000000 +0200
+++ doc++-3.4.10/src/nametable.h	2012-09-17 11:22:07.826207198 +0200
@@ -25,7 +25,7 @@
 #define	_NAME_TABLE_H
 
 #include &lt;assert.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;iostream&gt;
 
 #include "datahashtable.h"
 
--- doc++-3.4.10/src/php.ll	2001-02-16 23:34:47.000000000 +0100
+++ doc++-3.4.10/src/php.ll	2012-09-17 11:25:18.582759801 +0200
@@ -23,7 +23,7 @@
 %{
 #include &lt;assert.h&gt;
 #include &lt;ctype.h&gt;
-#include &lt;iostream.h&gt;
+#include &lt;iostream&gt;
 #include &lt;stdio.h&gt;
 
 #include "doc.h"
--- doc++-3.4.10/src/tex2gif.cc	2001-08-07 20:55:40.000000000 +0200
+++ doc++-3.4.10/src/tex2gif.cc	2012-09-17 11:26:06.698547836 +0200
@@ -21,8 +21,8 @@
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include &lt;iostream.h&gt;
-#include &lt;fstream.h&gt;
+#include &lt;iostream&gt;
+#include &lt;fstream&gt;
 #include &lt;stdio.h&gt;
 #include &lt;string.h&gt;
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>